HOSTPORT Struct Reference

Represents a host port: e.g. "127.127.0.1:80" text is a token pointing to the full string representation. More...

`#include <uri.h>`

Collaboration diagram for HOSTPORT:
[legend]

## Data Fields

token | text
struct sockaddr_storage | IPaddress

## Detailed Description

Represents a host port: e.g. "127.127.0.1:80" text is a token pointing to the full string representation.

## Field Documentation

## text

token HOSTPORT::text

Full host port.

Referenced by copy_URL_list(), create_url_list(), http_FixUrl(), http_MakeMessage(), notify_send_and_recv(), parse_hostport(), and resolve_rel_url().

The documentation for this struct was generated from the following file:

- /build/pupnp-EKUuah/pupnp-1.14.18/upnp/src/inc/uri.h